Installez logstash à l'aide du file Deb

J'ai installé Java 7 et Java 8 sur ma machine et java -version renvoie la version correcte lorsque je change les variables d'environnement. Quand je vais installer Logstash à l'aide du débiteur, je reçois le message suivant:

dpkg: dependency problems prevent configuration of logstash: logstash depends on java7-runtime-headless | java6-runtime-headless | j2re1.7; however: Package java7-runtime-headless is not installed. Package java6-runtime-headless is not installed. Package j2re1.7 is not installed. dpkg: error processing package logstash (--install): dependency problems - leaving unconfigured Processing sortingggers for ureadahead (0.100.0-16) ... ureadahead will be reprofiled on next reboot Errors were encountered while processing: logstash 

J'ai essayé d'installer ces versions java mais pas de chance. Des idées?